## CVM

# The cvm-pwfile Module

## Synopsis:

UNIX-style passwd file module

## Credentials:

1. Pass phrase

## Description:

This module loads entries from an alternate password file using the `fgetpwent` API, which requires the file to be formatted the same as the UNIX `/etc/passwd` file. No group name lookups are done.

## Configuration Variables:

`$CVM_PWFILE_PATH`
  the path to the passwd file containing the credential information.
`$CVM_PWFILE_PWCMP` (optional)
  The password comparison module to use. If it is not set, the default password comparison mode is plain-text. To use UNIX crypt style passwords, like /etc/passwd does, set this to "`crypt`".